> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withpersona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server.

# Retrieve a Graph Query

GET https://api.withpersona.com/api/v1/graph-queries/{graph-query-id}

Retrieve a Graph Query

Reference: https://docs.withpersona.com/api-reference/graph/retrieve-a-graph-query

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `graph-query-id` (string, required)

### Query parameters

- `include` (string, optional) — A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
- `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

## Response

### 200

This endpoint returns a Graph Query object.

- `data` (graph-query, required) — A Graph Query object
- `included` (list of any, optional) — Excluded from the response by default. Will be an empty array when the `include` query parameter in the request was explicitly set to empty.

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to invalid parameters.

- `errors` (list of GraphQueriesGraphQueryIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

An invalid API key was provided.

- `errors` (list of GraphQueriesGraphQueryIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

The given API key doesn’t have permissions to perform the request or a quota has been exceeded.

- `errors` (list of GraphQueriesGraphQueryIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

The requested resource doesn’t exist.

- `errors` (list of GraphQueriesGraphQueryIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 429 Too Many Requests Error

Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests.

- `errors` (list of GraphQueriesGraphQueryIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### graph-query

A Graph Query object

- `type` ("graph-query", optional)
- `id` (string, optional)
- `attributes` (GraphQueryAttributes, optional)
- `relationships` (GraphQueryRelationships, optional)

### GraphQueriesGraphQueryIdGetResponsesContentApplicationJsonSchemaErrorsItems

- `title` (string, optional)
- `details` (string, optional)

### GraphQueryAttributes

- `status` (string, optional) — Possible values: - submitted - completed - errored - cancelled - timed_out Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update.
- `params` (map from string to any, optional) — Dynamic query parameters
- `created-at` (datetime, optional)
- `updated-at` (datetime, optional, nullable)
- `errored-at` (datetime, optional, nullable)
- `completed-at` (datetime, optional, nullable)
- `redacted-at` (datetime, optional, nullable) — This will be set to the time when the graph query results were redacted. In this case, nodes will also be an empty array.

### GraphQueryRelationships

- `accounts` (GraphQueryRelationshipsAccounts, optional)

### GraphQueryRelationshipsAccounts

- `data` (list of GraphQueryRelationshipsAccountsDataItems, optional)

### GraphQueryRelationshipsAccountsDataItems

- `id` (string, optional)
- `type` ("account", optional)

## Examples

**Response**

```json
{
  "data": {
    "type": "graph-query",
    "id": "grphq_prM3gdSL6ciwGjSjj4aXgKJT",
    "attributes": {
      "status": "completed",
      "params": {
        "<query-key>": "<query params>"
      },
      "created-at": "2023-09-1T06:30:44.000Z",
      "updated-at": "2023-09-2T07:31:47.000Z",
      "errored-at": null,
      "completed-at": "2023-09-4T09:33:03.000Z",
      "redacted-at": null
    }
  }
}
```

**SDK Code**

```python Success
import requests

url = "https://api.withpersona.com/api/v1/graph-queries/graph-query-id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.withpersona.com/api/v1/graph-queries/graph-query-id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withpersona.com/api/v1/graph-queries/graph-query-id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.withpersona.com/api/v1/graph-queries/graph-query-id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withpersona.com/api/v1/graph-queries/graph-query-id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withpersona.com/api/v1/graph-queries/graph-query-id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.withpersona.com/api/v1/graph-queries/graph-query-id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/graph-queries/graph-query-id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```